summaryrefslogtreecommitdiff
path: root/dev-python/pythonmagick/pythonmagick-0.7.ebuild.diff
blob: c306f68f13908006cb83c0b87b1c904acd4c3f7b (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
--- pythonmagick-0.7.ebuild.old	2008-04-23 03:51:10.000000000 +0200
+++ pythonmagick-0.7.ebuild	2008-04-23 03:25:02.000000000 +0200
@@ -2,7 +2,9 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/dev-python/pythonmagick/pythonmagick-0.7.ebuild,v 1.1 2007/11/20 01:03:38 hawking Exp $
 
-inherit eutils python multilib toolchain-funcs
+NEED_PYTHON="2.5"
+
+inherit python multilib flag-o-matic
 
 MY_PN=PythonMagick
 MY_P=${MY_PN}-${PV}
@@ -16,38 +18,20 @@
 KEYWORDS="~x86"
 IUSE=""
 
-RDEPEND=">=media-gfx/imagemagick-1.1.7
+DEPEND=">=media-gfx/imagemagick-6.2
 		>=dev-libs/boost-1.34.0"
-DEPEND="${RDEPEND}
-		dev-util/scons"
 
 S=${WORKDIR}/${MY_P}
 
-src_unpack() {
-	unpack ${A}
-	cd "${S}"
-	epatch "${FILESDIR}/${PN}-0.6-gentoo_misc_fixes.patch"
-}
-
-src_compile() {
-	python_version
-	sed -i \
-		-e "s#\(BOOST\)=.*#\1='/usr/include/boost'#" \
-		-e "s#\(BOOSTLIBPATH\)=.*#\1='/usr/lib'#" \
-		-e "s#\(PYTHON_INCLUDE\)=.*#\1='/usr/include/python${PYVER}'#" \
-		-e "s#\(Environment(\)#\1 CXX='$(tc-getCXX)',#" \
-		-e "s#\(CPPFLAGS\)=#\1='${CXXFLAGS}'.split()+#" \
-		SConstruct || die "sed failed"
-
-	# FIXME: Until we have a var or function for it
-	numjobs=$(sed -e 's/.*\(\-j[ 0-9]\+\) .*/\1/' <<< ${MAKEOPTS})
+src_compile () {
+	filter-ldflags -Wl,--as-needed --as-needed
 
-	scons mode=release ${numjobs} || die "scons failed"
+	econf || die "econf failed"
+	emake || die "emake failed"
 }
 
 src_install() {
-	insinto /usr/lib/python${PYVER}/site-packages
-	doins -r PythonMagick
+	emake DESTDIR="${D}" install || die "emake install failed"
 }
 
 pkg_postinst() {